MultiFileWordCount.MyInputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples
Class MultiFileWordCount.MyInputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat<K,V>
          org.apache.hadoop.mapred.MultiFileInputFormat<MultiFileWordCount.WordOffset,Text>
              org.apache.hadoop.examples.MultiFileWordCount.MyInputFormat

All Implemented Interfaces:
  InputFormat<MultiFileWordCount.WordOffset,Text>

Enclosing class:
  MultiFileWordCount

    public static class MultiFileWordCount.MyInputFormat

extends MultiFileInputFormat<MultiFileWordCount.WordOffset,Text>

To use `MultiFileInputFormat`, one should extend it, to return a (custom) `RecordReader`. MultiFileInputFormat uses `MultiFileSplit`s.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat
`FileInputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`MultiFileWordCount.MyInputFormat()`

Method Summary
`RecordReader<MultiFileWordCount.WordOffset,Text>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.

Methods inherited from class org.apache.hadoop.mapred.MultiFileInputFormat
`getSplits`

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, isSplitable, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFileWordCount.MyInputFormat

    public MultiFileWordCount.MyInputFormat()

Method Detail

### getRecordReader

    public RecordReader<MultiFileWordCount.WordOffset,Text> getRecordReader(InputSplit split,
                                                                            JobConf job,
                                                                            Reporter reporter)
                                                                     throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<MultiFileWordCount.WordOffset,Text>`
  Specified by:
    `getRecordReader` in class `MultiFileInputFormat<MultiFileWordCount.WordOffset,Text>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation